Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class BuildBase

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.BuildBase

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class BuildBase

extends Object

3.0.0+

Java class for BuildBase complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BuildBase">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="defaultGoal" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="resources" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="resource" type="{http://maven.apache.org/POM/4.0.0}Resource" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="testResources" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="testResource" type="{http://maven.apache.org/POM/4.0.0}Resource" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="directory" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="finalName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="filters" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="filter" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="pluginManagement" type="{http://maven.apache.org/POM/4.0.0}PluginManagement" minOccurs="0"/>
             <element name="plugins" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="plugin" type="{http://maven.apache.org/POM/4.0.0}Plugin" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `BuildBase.Filters` Java class for anonymous complex type.
`static class` | `BuildBase.Plugins` Java class for anonymous complex type.
`static class` | `BuildBase.Resources` Java class for anonymous complex type.
`static class` | `BuildBase.TestResources` Java class for anonymous complex type.

Field Summary
`protected String` | `defaultGoal`
`protected String` | `directory`
`protected BuildBase.Filters` | `filters`
`protected String` | `finalName`
`protected PluginManagement` | `pluginManagement`
`protected BuildBase.Plugins` | `plugins`
`protected BuildBase.Resources` | `resources`
`protected BuildBase.TestResources` | `testResources`

Constructor Summary
`BuildBase()`

Method Summary
`String` | `getDefaultGoal()` Gets the value of the defaultGoal property.
`String` | `getDirectory()` Gets the value of the directory property.
`BuildBase.Filters` | `getFilters()` Gets the value of the filters property.
`String` | `getFinalName()` Gets the value of the finalName property.
`PluginManagement` | `getPluginManagement()` Gets the value of the pluginManagement property.
`BuildBase.Plugins` | `getPlugins()` Gets the value of the plugins property.
`BuildBase.Resources` | `getResources()` Gets the value of the resources property.
`BuildBase.TestResources` | `getTestResources()` Gets the value of the testResources property.
`void` | `setDefaultGoal(String value)` Sets the value of the defaultGoal property.
`void` | `setDirectory(String value)` Sets the value of the directory property.
`void` | `setFilters(BuildBase.Filters value)` Sets the value of the filters property.
`void` | `setFinalName(String value)` Sets the value of the finalName property.
`void` | `setPluginManagement(PluginManagement value)` Sets the value of the pluginManagement property.
`void` | `setPlugins(BuildBase.Plugins value)` Sets the value of the plugins property.
`void` | `setResources(BuildBase.Resources value)` Sets the value of the resources property.
`void` | `setTestResources(BuildBase.TestResources value)` Sets the value of the testResources property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultGoal

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String defaultGoal

### resources

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected BuildBase.Resources resources

### testResources

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected BuildBase.TestResources testResources

### directory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String directory

### finalName

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String finalName

### filters

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected BuildBase.Filters filters

### pluginManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected PluginManagement pluginManagement

### plugins

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected BuildBase.Plugins plugins

Constructor Detail

### BuildBase

    public BuildBase()

Method Detail

### getDefaultGoal

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getDefaultGoal()

  Gets the value of the defaultGoal property.

  Returns:
    possible object is `String`

### setDefaultGoal

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setDefaultGoal(String value)

  Sets the value of the defaultGoal property.

  Parameters:
    `value` - allowed object is `String`

### getResources

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public BuildBase.Resources getResources()

  Gets the value of the resources property.

  Returns:
    possible object is `BuildBase.Resources`

### setResources

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setResources(BuildBase.Resources value)

  Sets the value of the resources property.

  Parameters:
    `value` - allowed object is `BuildBase.Resources`

### getTestResources

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public BuildBase.TestResources getTestResources()

  Gets the value of the testResources property.

  Returns:
    possible object is `BuildBase.TestResources`

### setTestResources

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setTestResources(BuildBase.TestResources value)

  Sets the value of the testResources property.

  Parameters:
    `value` - allowed object is `BuildBase.TestResources`

### getDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getDirectory()

  Gets the value of the directory property.

  Returns:
    possible object is `String`

### setDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setDirectory(String value)

  Sets the value of the directory property.

  Parameters:
    `value` - allowed object is `String`

### getFinalName

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getFinalName()

  Gets the value of the finalName property.

  Returns:
    possible object is `String`

### setFinalName

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setFinalName(String value)

  Sets the value of the finalName property.

  Parameters:
    `value` - allowed object is `String`

### getFilters

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public BuildBase.Filters getFilters()

  Gets the value of the filters property.

  Returns:
    possible object is `BuildBase.Filters`

### setFilters

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setFilters(BuildBase.Filters value)

  Sets the value of the filters property.

  Parameters:
    `value` - allowed object is `BuildBase.Filters`

### getPluginManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public PluginManagement getPluginManagement()

  Gets the value of the pluginManagement property.

  Returns:
    possible object is `PluginManagement`

### setPluginManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setPluginManagement(PluginManagement value)

  Sets the value of the pluginManagement property.

  Parameters:
    `value` - allowed object is `PluginManagement`

### getPlugins

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public BuildBase.Plugins getPlugins()

  Gets the value of the plugins property.

  Returns:
    possible object is `BuildBase.Plugins`

### setPlugins

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setPlugins(BuildBase.Plugins value)

  Sets the value of the plugins property.

  Parameters:
    `value` - allowed object is `BuildBase.Plugins`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.